@use '/src/mainColor' as *;

.light-mode {
  .home-page {
    --nav-img-filter: hue-rotate(var(--main-hue)) hue-rotate(120deg);
  }
}
.dark-mode {
  .home-page {
    --nav-img-filter: hue-rotate(var(--main-hue)) hue-rotate(300deg) invert(.85) contrast(1.2);
  }
}

.home-page-con {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;

  .lesson-modal {
    width: fit-content;
    margin: 1em auto;
    margin-bottom: 0;
  }
}

.home-page {
  height: 100%;
  display: grid;
  place-items: center;

  .nav-panel {
    text-align: center;
    margin: 2em 0;
    padding: 0 1em;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;

    .item {
      position: relative;
      display: flex;
      flex-direction: column;
      align-items: center;
      margin: 0 6vmin;

      img {
        cursor: pointer;
        width: 20em;
        max-width: 100%;
        transition: transform .2s;
        filter: var(--nav-img-filter);

        &:hover {
          transform: scale(1.05);
        }
      }
      
      .sep-line {
        margin-top: 1em;
        height: 2px;
        width: 25%;
        background: mainColor(90%);
      }
      
      p {
        margin: .8rem 0;
        font-size: 1.5em;
        font-weight: bold;
      }
    }
  }
}  

